<!--
 * @Date: 2022-08-17 16:19:13
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-04-03 14:12:11
 * @FilePath: \TelpoH5FrontendWeb\README.md
 * @description: 项目说明
-->
# telpo-h5-template

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run dev
```

### Compiles and minifies for production
```
npm run build
```

### Run your tests
```
npm run test
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).

# 本项目为天波H5项目
## 版本号管理
- 版本格式：主版本号.次版本号.修订号
1.主版本号：当你做了不兼容的 API 修改（ 一般项目发生重大功能改变）
2.次版本号：当你做了向下兼容的功能性新增，
3.修订号：当你做了向下兼容的问题修正。
例如:
- V #1.0.0

##git提交为以下类别
- 1.fix 修复 xxx问题
- 2.feat 增加 xxx功能
- 3.docs 文档变更
- 4.style 代码格式(不影响代码运行的变动)
- 5.perf 性能优化
- 提交格式,比如:
-start---------------
- 版本号 v#1.0.0
- 2022.08.06
fix
  - 修改文件名称
    - fix 修复了 xxx问题
...

- 后续可根据项目需要更新或者改进
-end------------------------

## v1.0.0
`2022.8.8`
feat
- 增加 项目基本配置

## v1.0.1
`2022.8.18`
feat
- card-form
    - 增加 一个表单录入页

## v1.0.2
`2022.8.19`
style
- card-form
    - 修改 页面样式

## v1.0.3
`2022.8.19`
feat
- card-form
    - 增加 接口

## v1.0.4
`2022.8.20`
feat
- card-form
    - 增加 保存失败错误提示

## v1.0.5
`2022.8.20`
fix
- card-form
    - 修复 保存iccId参数多出来一个的问题

## v1.0.6
`2022.8.23`
feat
- card-form
    - 增加 亲情号码六个字段

## v1.0.7
`2022.8.24`
feat
- card-form
    - 增加 备注字段

## v1.0.8
`2022.8.25`
feat
- card-form
    - 增加 学校名称字段
    - 修改 学校名称字段最大长度为30

## v1.0.9
`2022.8.30`
feat
- card-form
    - 修复 保存字段错误的问题

## v1.0.10
`2022.8.31`
feat
- card-form
    - 增加 年级/班级下拉选择


## v1.0.11
`2022.9.9`
feat
- card-form
    - 修改 保存接口传参

## v1.0.12
`2022.10.11`
feat
- card-form
    - 修改 班级参数

-------------分割线，以下是2023年的readme----------

## v1.0.13
`2023.2.24`
feat
- package-list
    - 增加 一个话费套餐购买页面



## v1.0.14
`2023.2.24`
feat
- package-home
    - 增加 一个微信授权获取code的首页


## v1.0.15
`2023.2.24`
fix
- package-home
    - 修复 微信网页授权重定向错误的问题

## v1.0.16
`2023.2.24`
fix
- package-home
    - 修复 微信网页获取openId失败的问题

## v1.0.17
`2023.2.24`
feature
- pay-result
    - 增加 一个微信支付结果查询页面


## v1.0.18
`2023.2.24`
feature
- 修复 路由切换页面不刷新的问题



## v1.0.19
`2023.2.25`
fix
- 修复 路由切换页面不刷新的问题

## v1.0.20
`2023.2.25`
fix
- 修复 调起微信支付异常的问题
- 修复 获取imei异常的问题
- 修改 获取openId方式

## v1.0.21
`2023.2.25`
update
- 暂时只开放支付宝支付


## v1.0.22
`2023.2.26`
update
- 修复 查询支付结果异常的问题
- 增加 激活成功返回校园号首页
- 取消 从接口获取套餐数据


## v1.0.23
`2023.2.26`
update
- 增加 激活成功显示页面


## v1.0.24
`2023.2.27`
update
- 增加 激活成功页面在线图标
- 优化 支付方式选择页面


## v1.0.25
`2023.2.27`
update
- 优化 支付方式选择页面


## v1.0.26
`2023.2.28`
update
- 开放 微信支付
- 修改 支付宝全额支付参数，0表示全额，12表示分期


## v1.0.27
`2023.3.1`
feature
- 增加 已购买未激活容错页面
- 修复 已购买未激活未跳转容错页面的问题
- 修改 激活界面文字提示
- 修改 页面支付逻辑，由未激活充值购买变成已激活充值购买
- 增加 已购买未激活容错页面


## v1.0.28
`2023.3.2`
update
- 修改 最后一步按钮文案


## v1.0.29
`2023.3.13`
feat
- 增加 套餐列表从接口获取

## v1.0.30
`2023.3.14`
feat
- cardInfo
    - 增加 物联网卡套餐信息查询页面
    - 增加 加油包合基础套餐购买页面


## v1.0.31
`2023.3.23`
feat
- packageList，packageBuy
    - 增加 下单接口iccid参数



## v1.0.32
`2023.3.24`
feature
- alarmDetails
    - 增加 涉水区域告警页面
- amap.js
    - 增加 高德地图js

## v1.0.33
`2023.3.27`
feature
- alarmDetails
    - 增加 误报功能，设置该设备IMEI与该水域告警poi_id不做任何报警信息处理


## v1.0.34
`2023.3.29`
update
- alarmDetails
    - 修改 标题显示文字
    - 修改 弹窗显示文字


## v1.0.35
`2023.3.30`
update
- alarmDetails
    - 增加 坐标通过高德逆地理编码解析中文地址
- packageList
    - 修改 微信支付的方式，不使用jssdk，使用微信内置WeixinJSBridge对象

- appId
    - 修改 微信测试环境appId

## v1.0.36
`2023.3.30`
update
- 增加 debug按钮


## v1.0.37
`2023.3.31`
update
- alarmDetails
    - 修改 详情地址转化方式
    - 增加 进入/离开状态显示
- packageList
    - 修改 微信支付方式


## v1.0.38
`2023.4.3`
update
- packageHome
    - 增加 进入首页判断是否存在redUrl的逻辑